/**
 * Copyright 2006 (C) Bernd Bruegge, Timo Wolf - TU Muenchen
 * http://wwwbruegge.in.tum.de/Asteroids
 * 
 * This file is part of the Asteroids Teaching Design Pattern Project.
 * 
 * Asteroids is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * Asteroids is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * Asteroids; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA 02111-1307 USA
 */
package de.tum.in.wwwbruegge.asteroids.solidbodies;

import java.awt.Point;

/**
 * @author Timo Wolf
 */
public abstract class Astroid extends SolidBody {

	public Astroid(Point position, int direction) {
		super(position, direction);
	}

	public void updatePosition(int max_x, int max_y) {
		super.updatePosition(max_x, max_y);
		double random = Math.random() * 10;
		if (random <= 3) {
			random = Math.random() * 10;
			if (random <= 5) {
				incrementSpeed();
			} else {
				decrementSpeed();
			}
		}
	}

	private void incrementSpeed() {
		if (getSpeed() + 10 <= getMaximumSpeed()) {
			setSpeed(getSpeed() + 10);
		}
	}

	private void decrementSpeed() {
		if (getSpeed() - 10 >= getMinimumSpeed()) {
			setSpeed(getSpeed() - 10);
		}
	}
}
